Page MenuHomePhabricator

References with constraint violations are expanded even if there is no violation icon
Closed, ResolvedPublic2 Story Points

Description

Since T177970, we automatically expand any reference for which there are problem reports in the wbcheckconstraints response. However, not all of those times we actually show a violation icon: if the only problem is a bad-parameters result, we don’t show it (since we usually hide those in the popup behind an “advanced problems” expandable, and it doesn’t really make sense to have a popup with no unexpanded content). We need to refine the auto-reference-expanding to skip those cases.

An example of this can currently be seen in https://www.wikidata.org/wiki/Q47524660#P569.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 2 2018, 7:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lucas_Werkmeister_WMDE renamed this task from Automatic expanding of references involving constraint violations doesn't take constraint scope in account to References with constraint violations are expanded even if there is no violation icon.May 3 2018, 11:05 AM
Lucas_Werkmeister_WMDE updated the task description. (Show Details)

Change 432995 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Only expand references if popup was added

https://gerrit.wikimedia.org/r/432995

Change 432995 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Only expand references if popup was added

https://gerrit.wikimedia.org/r/432995

Lydia_Pintscher closed this task as Resolved.May 23 2018, 9:51 AM
Vvjjkkii renamed this task from References with constraint violations are expanded even if there is no violation icon to mrdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lucas_Werkmeister_WMDE as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: Lucas_Werkmeister_WMDE; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from mrdaaaaaaa to References with constraint violations are expanded even if there is no violation icon.Jul 1 2018, 8:28 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot set the point value for this task to 2.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Lucas_Werkmeister_WMDE.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 2:01 AM